Subject: bug#49761: file-cache-minibuffer-complete has become unusable for duplicate file names in MacOSX 27.x emacs

From: Juri Linkov <[email-masked]>
Date: Thu, 29 Jul 2021 22:40:44 +0300

>> > What about the second part of the report, with cursor positioning
>> > after typing an incomplete file name followed by C-TAB: do you see
>> > that problem in your testing?
>> 
>> No problem with cursor positioning.
>
> Strange, that's not what I see.  If I type "C-x C-f", type a few
> characters that should match several file names, then press C-TAB, the
> cursor is placed on the first character I typed, making more typing
> cumbersome, because I need first type C-e or somesuch to get to the
> end of what I typed.  Isn't that what you see?

In my testing the cursor is placed at the end of the minibuffer.